com.collabnet.ce.soap60.webservices.integrationdata

## Class IntegrationDataAppSoapStub

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.ClientSoapStub
  - - com.collabnet.ce.soap60.webservices.integrationdata.IntegrationDataAppSoapStub

- All Implemented Interfaces:
    IIntegrationDataAppSoap

      public class IntegrationDataAppSoapStub
      extends com.collabnet.ce.soap60.webservices.ClientSoapStub
      implements IIntegrationDataAppSoap

- - ### Field Summary

    - ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `DEFAULT_CLIENT_TIME_OUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IntegrationDataAppSoapStub(String soapServerUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.collabnet.ce.soap60.types.SoapNamedValues` | `getData(String sessionId, String namespaceId, String objectId)` Gets data for an object from the integration data service
    `String` | `getDataByKey(String sessionId, String namespaceId, String objectId, String key)` Gets data for an object from the integration data service
    `String` | `getNamespaceId(String sessionId, String name)` Gets the key to an existing namespace.
    `void` | `putData(String sessionId, String namespaceId, String objectId, com.collabnet.ce.soap60.types.SoapNamedValues namedValues)` Adds or replaces a set of integration data values for the specified object.
    `void` | `putDataByKey(String sessionId, String namespaceId, String objectId, String key, String value)` Adds or replaces a single integration data value for the specified object.
    `String` | `registerNamespace(String sessionId, String name)` Registers a new namespace
    `void` | `removeData(String sessionId, String namespaceId, String objectId, String[] keys)` Removes a set of integration data values from the specified object.
    `void` | `removeDataByKey(String sessionId, String namespaceId, String objectId, String key)` Removes a single integration data value from the specified object.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

      `getServiceCall, getSoapServer, getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IntegrationDataAppSoapStub

          public IntegrationDataAppSoapStub(String soapServerUrl)

  - ### Method Detail

    - #### registerNamespace

          public String registerNamespace(String sessionId,
                                          String name)
                                   throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Registers a new namespace
      Specified by:
        `registerNamespace` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `name` - The name of the namespace to register
      Returns:
        Integration data namespace id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - when the specified name already exists
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### getNamespaceId

          public String getNamespaceId(String sessionId,
                                       String name)
                                throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Gets the key to an existing namespace.
      Specified by:
        `getNamespaceId` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `name` - The name of the namespace to get
      Returns:
        Integration data namespace id
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified name doesn't exist.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `RemoteException`

    - #### putData

          public void putData(String sessionId,
                              String namespaceId,
                              String objectId,
                              com.collabnet.ce.soap60.types.SoapNamedValues namedValues)
                       throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Adds or replaces a set of integration data values for the specified object.
      Specified by:
        `putData` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `namedValues` - Key value pairs of data to associate
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`

    - #### putDataByKey

          public void putDataByKey(String sessionId,
                                   String namespaceId,
                                   String objectId,
                                   String key,
                                   String value)
                            throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Adds or replaces a single integration data value for the specified object.
      Specified by:
        `putDataByKey` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `key` - The key of the piece of data to store
        `value` - The value to store
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`

    - #### removeData

          public void removeData(String sessionId,
                                 String namespaceId,
                                 String objectId,
                                 String[] keys)
                          throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Removes a set of integration data values from the specified object.
      Specified by:
        `removeData` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `keys` - Integration data keys (and associated values) to remove.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`

    - #### removeDataByKey

          public void removeDataByKey(String sessionId,
                                      String namespaceId,
                                      String objectId,
                                      String key)
                               throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Removes a single integration data value from the specified object.
      Specified by:
        `removeDataByKey` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to store data under
        `objectId` - The object to associate the data with
        `key` - Integration data key (and associated value) to remove.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to store data on the object
        `RemoteException`

    - #### getData

          public com.collabnet.ce.soap60.types.SoapNamedValues getData(String sessionId,
                                                                       String namespaceId,
                                                                       String objectId)
                                                                throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Gets data for an object from the integration data service
      Specified by:
        `getData` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to get data under
        `objectId` - The object to get the data for
      Returns:
        A SoapNamedValues collection of key/value pair stored data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to get data on the object
        `RemoteException`

    - #### getDataByKey

          public String getDataByKey(String sessionId,
                                     String namespaceId,
                                     String objectId,
                                     String key)
                              throws RemoteException

      Description copied from interface: `IIntegrationDataAppSoap`
      Gets data for an object from the integration data service
      Specified by:
        `getDataByKey` in interface `IIntegrationDataAppSoap`
      Parameters:
        `sessionId` - SOAP session id.
        `namespaceId` - The namespace to get data under
        `objectId` - The object to get the data for
        `key` - The key of the piece of data to retrieve
      Returns:
        The value of the stored piece of data
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the sessionId is invalid.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the object id doesn't exist
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user doesn't have permission to get data on the object
        `RemoteException`

Copyright © 2019 CollabNet. All rights reserved.